Subject: bug#16196: 24.3.50; Disable ding when scrolling

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Jan 2014 00:07:11 -0500

>> But if you're at EOB and you scroll with the wheel to try and go "even
>> further", if Emacs doesn't (ding), then it does nothing: lack of feedback.

> Which is useless IMHO.  Ding implies an error, this isn't one.  I want
> to be at EOB and I am at EOB.

Useless or not, the point is: without (ding) this would make the command
do absolutely nothing, which is contrary to the principle that Emacs
should try to provide some feedback in response to each command.

> I rather have a silent lack of feedback than a lot of beeping. 

If you use the audible bell, the beeping might indeed be a pain in the
ear (tho I can't really judge: I find the audible bell itself to be
unbearable so I've used the visual bell for as long as I can remember).

So the question is: which kind of feedback should we use instead?
I'd rather keep some kind of feedback.  Maybe a `message'?

        Stefan